Public Member Functions | Public Attributes

# Gst::IndexAssociation Class Reference

An association in an entry. More...

List of all members.

## Public Member Functions
| IndexAssociation ()
| Default constructor.
| IndexAssociation (const GstIndexAssociation* castitem)
| Constructs a Gst::IndexAssociation from a C GstIndexAssociation type.
## Public Attributes
Gst::Format | format
| The format of the association.
gint64 | value
| The value of the association.

## Detailed Description

An association in an entry.

## Constructor & Destructor Documentation

Gst::IndexAssociation::IndexAssociation | ( | ) |

Default constructor.

Gst::IndexAssociation::IndexAssociation | ( | const GstIndexAssociation * | castitem ) | `[explicit]`

Constructs a Gst::IndexAssociation from a C GstIndexAssociation type.

The castitem is left unaffected; its contents are simply copied.

Parameters:

  castitem | The GstIndexAssociation to copy contents from.

## Member Data Documentation

Gst::Format Gst::IndexAssociation::format

The format of the association.

gint64 Gst::IndexAssociation::value

The value of the association.

The documentation for this class was generated from the following file:

- gstreamermm/index.h